<?php
session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
require_once ("cEgreso.php");
$oEgreso = new cEgreso();
require_once ("../compra/cComprapago.php");
$oComprapago = new cComprapago();
require_once("../formatos/formato.php");
if($_POST['action']=="insertar")
{
	if(!empty($_POST['txt_egr_fec']))
	{
		$est=1;
		$mod_id = 12;
		$oEgreso->insertar(
			$_POST['hdd_egr_usureg'],
			$_POST['hdd_egr_usumod'],
			fecha_mysql($_POST['txt_egr_fec']),
			fecha_mysql($_POST['txt_egr_fec']),
			intval($_POST['cmb_doc_id']),
			$_POST['txt_egr_numdoc'],
			$_POST['txt_egr_det'],
			moneda_mysql($_POST['txt_egr_imp']),
			intval($est),
			intval($_POST['cmb_cue_id']),
			intval($_POST['cmb_subcue_id']),
			intval($_POST['hdd_pro_id']),
			$_POST['cmb_caj_id'],
			$mod_id,
			intval($modide),
			intval($_POST['cmb_egre_forpag']),
			intval($_POST['cmb_egre_modo']),
			'0',
			'0',
			'0',
			'0',
			'0',
			'0',
			'0',
			moneda_mysql($_POST['txt_egr_imp']),
			moneda_mysql($_POST['txt_egr_imp']),
			'0','0','0','0','0','0','0','0','0',fecha_mysql($_POST['txt_egr_fec']),'0','0','0','0','0'
			
		);
			
			$dts=$oEgreso->ultimoInsert();
			$dt = mysqli_fetch_array($dts);
			$egr_id=$dt['id'];
			mysqli_free_result($dts);
		$data['egr_id']=$egr_id;
		$data['egr_msj']='Se registró egreso correctamente.';
		
	}
	else
	{
		$data['egr_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}
if($_POST['action']=="editar")
{
	if(!empty($_POST['txt_egr_fec']) and !empty($_POST['cmb_cue_id']))
	{
		$est=1;
		$oEgreso->modificar(
			$_POST['hdd_egr_id'],
			$_POST['hdd_egr_usumod'],
			fecha_mysql($_POST['txt_egr_fec']),
			intval($_POST['cmb_doc_id']),
			$_POST['txt_egr_numdoc'],
			$_POST['txt_egr_det'],
			moneda_mysql($_POST['txt_egr_imp']),
			intval($est),
			intval($_POST['cmb_cue_id']),
			intval($_POST['cmb_subcue_id']),
			$_POST['cmb_caj_id']
		);
	
		$data['egr_msj']='Se modifico egreso correctamente.';
		
	}
	else
	{
		$data['egr_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}
if($_POST['action']=="eliminar")
{
	if(!empty($_POST['egr_id']))
	{
			//$oEgreso->modificar_campo($_POST['egr_id'],$_SESSION['usuario_id'],'xac','0');
			
			$dts= $oEgreso->mostrarUno($_POST['egr_id']);
			$dt = mysqli_fetch_array($dts);
			$modid		=$dt['tb_modulo_id'];
			$modide		=$dt['tb_egreso_modide'];
			mysqli_free_result($dts);
			
			if($modid==4){
				$oComprapago->modificar_campo($modide,'est','2');
			}
			
			$oEgreso->modificar_campo($_POST['egr_id'],$_SESSION['usuario_id'],'xac','0');
			
			echo 'El egreso se elimino correctamente.';		
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}
?>